deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ronelle Landy (Closed) (JIRA)" <>
Subject [jira] [Closed] (DTACLOUD-13) Incorrect download information on website for deltacloud-client
Date Wed, 07 Mar 2012 15:02:57 GMT


Ronelle Landy closed DTACLOUD-13.

Closing this issue as fixed ... copied the relevant text from


The Deltacloud Ruby Client

The Deltacloud project also maintains a ruby client, which you need to install separately
to the Deltacloud API server. The Deltacloud client consists of a ruby library (packaged as
a ruby gem) which you can use to programmatically interact with the Deltacloud server and
control your cloud infrastructure across cloud providers.

Assuming you already setup the required dependencies, you can install the Deltacloud by simply

$ sudo gem install deltacloud-client

Installing the Deltacloud client also gives you the deltacloudc command line tool. This executable
makes use of the Deltacloud client library to speak to the Deltacloud server using the REST
API. More information on getting started with the Deltacloud Ruby client is available in the
quick start guide.
> Incorrect download information on website for deltacloud-client
> ---------------------------------------------------------------
>                 Key: DTACLOUD-13
>                 URL:
>             Project: DeltaCloud
>          Issue Type: Bug
>          Components: Website
>            Reporter: Stephen Gordon
>            Assignee: David Lutterkort
>   Original Estimate: 1h
>  Remaining Estimate: 1h
> The downloads section of the website
suggests that the command to install the deltacloud client is:
> $ gem install deltacloud-core
> This is not correct. The gem is deltacloud-client.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators:!default.jspa
For more information on JIRA, see:


View raw message